net.sourceforge.pmd.renderers

## Class CSVWriter<T>

- java.lang.Object
- - net.sourceforge.pmd.renderers.CSVWriter<T>

Type Parameters:
  `T` -

    public class CSVWriter<T>
    extends Object

A generic writer that formats input items into rows and columns per the provided column descriptors.

Author:
  Brian Remedios

### Constructor Summary

Constructors
Constructor and Description
`CSVWriter(List<ColumnDescriptor<T>> theColumns, String theSeparator, String theLineSeparator)`

### Method Summary

Methods
`void` `writeData(Writer writer, Iterator<T> items)`
`void` `writeTitles(Writer writer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CSVWriter

    public CSVWriter(List<ColumnDescriptor<T>> theColumns,
             String theSeparator,
             String theLineSeparator)

### Method Detail

#### writeTitles

    public void writeTitles(Writer writer)
                     throws IOException

Throws:
  `IOException`

#### writeData

    public void writeData(Writer writer,
                 Iterator<T> items)
                   throws IOException

Throws:
  `IOException`